"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getNpmVersion = getNpmVersion;

var _child_process = require("child_process");

var _logger = require("../logger");

function getNpmVersion() {
  let vers = '6';

  try {
    [vers] = (0, _child_process.execSync)('npm -v').toString().trim().split('.');
  } catch (error) {
    (0, _logger.messageLogger)(error);
  }

  return vers;
}